#include<stdio.h>
#include "types.h"
#include "mystring.h"
#include "pixmap.h"
#include "window.h"
#include "defaults.h"

void kql_defaults()
{
// Soubory a adresare:

  DATADIR_LOCAL = "./kraluk-data";  // tam hledam jako prvni
#ifdef IDIR
  DATADIR = IDIR;                    // systemovy adresar z Makefile
#else
  DATADIR = "/usr/local/share/kraluk-data";  // kdyz v DATADIR_LOCAL nic neni
#endif
  IMGDIR = "/images/";         // obrazky jsou v DATADIR+IMGDIR
  MAPDIR  = "/images/maps/";   // barevne mapy jsou v DATADIR+MAPDIR
  BGDIR   = "backgrounds/";    // zakladni obrazky scen v DATADIR+IMGDIR+BGDIR
  ANIPDIR = "animposts/";      // animace postav v DATADIR+IMGDIR+ANIPDIR
  INHOMEDIR = ".kraluk";       // ukladani a cteni pozic v $HOME/INHOMEDIR

  IMGSUFFIX = ".xpm";          // pripona pro obrazky
  MAPSUFFIX = ".xpm";          // pripona pro mapy
  SAVESUFFIX = ".kqs";         // pripona pro soubory pozic
  SAVELAST = "lastpos";        // posledni pozice (ulozena pri ukonceni programu)
  SAVECONF = "lastconf";       // konfigurace (ulozena pri ukonceni programu)

  UPSTR = "/up";               // animace postavy (nahoru) DATADIR+IMGDIR+nazev+UPSTR+n+IMGSUFFIX
  DOWNSTR = "/down";           // animace postavy (dolu) 
  LEFTSTR = "/left";           // animace postavy (doleva)
  RIGHTSTR = "/right";         // animace postavy (doprava)
  ANIPSTR = "/anim";           // animace postavy (bez smeru)

// Jazyky:

  LANGCAT = "languages";         // kategorie slov jazyku
  LANGDIR = "/languages/";       // adresar se soubory jazyku DATADIR+LANGDIR
  LANGFILE = "_languages.txt";   // soubor se seznamem jazyku DATADIR+LANGDIR+LANGFILE

  INPUTSUFFIX = "_input.txt";    // soubor inputu DATADIR+LANGDIR+zkratka+INPUTSUFFIX
  OUTPUTSUFFIX = "_output.txt";  // soubor textu  DATADIR+LANGDIR+zkratka+OUTPUTSUFFIX

// Udaje o oknu:

  WINDOW_NAME = "Kralovsky ukol";  // nazev okna programu
  ICON_NAME = "kraluk";            // nazev ikony programu

// Editace textu:

  FONTNAME = "-*-helvetica-bold-r-normal-*-25-*-*-*-*-*-iso8859-2";
  HOT     =  4;         // horni okraj textu
  DOT     =  HOT;       // dolni okraj textu
  LOT     =  HOT;       // levy okraj textu
  POT     =  LOT;       // pravy okraj textu
  STRKAL  =  30;        // strkani kursoru doleva
  STRKAP  =  STRKAL;    // strkani kursoru doprava
  KURSIR  =  4;         // sirka kursoru

// Vyskakovaci okno:

  POPUPSMALLFONT  = "-*-helvetica-bold-r-normal--20-*-*-*-*-*-iso8859-2";
  POPUPBIGFONT    = "-*-helvetica-bold-r-normal--34-*-*-*-*-*-iso8859-2";
  POPUPBIGWIDTH   = 800;
  POPRAMOKR       = 5;
  POPRAMSIR       = 2;
  POPHOT          = 5;
  POPDOT          = POPHOT;
  POPLOT          = POPHOT;
  POPPOT          = POPLOT;
  INTERLINESKIP   = 2;
  INTERCOLUMNSKIP = 20;
  SELECTOKR       = 1;

  DEF_POP_SIRKA = 0.8;
  DEF_POP_VYSKA = 0.7;
  DEF_POP_X = 0.5;
  DEF_POP_Y = 0.5;

  UINVPOMER = 0.5;
  UINVSIRKA = 0.5;

// Predefinovatelny zbytek:

  OKRAJ = 3;
  MINRATIO = 1;
  MAXRATIO = 20;
  ANIMPRIOR = -50;
  AUTOPRIOR = 50;
  IMAGRAT = 1;

// Startovni promenne

  fullscreened = 0;
  // unfullratio = 0;
  okrajtext = 0;
  ratio = 2;
}
